/**
 * SELECT COMPONENT
 *
 *
*/
.rtds-select {
    position: relative;
    display: flex;
    align-items: center;
}
:where(.rtds-select) select {
    height: var(--spacing-11);
    width: 100%;
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-10);
    font-size: var(--fontsize-text-sm);
    font-weight: 600;
        color: var(--color-content-placeholder);
        color: var(--color-input-placeholder);
        border-color: var(--color-border-input);
    border-radius: 0.5rem;
    border-width: 1px;
}
/* Error */
.rtds-select.has-error select,
    .is-invalid .rtds-select select {
    border-width: 2px;
    border-color: var(--color-error-dark);
}
/* Sizes */
:where(.rtds-select--sm) select {
    height: var(--spacing-8);
    background-position: right 0.25rem center;
    padding-top: var(--spacing-0-5);
    padding-bottom: var(--spacing-0-5);
    padding-left: var(--spacing-2);
    padding-right: var(--spacing-8);
}
:where(.rtds-select--lg) select {
    height: var(--spacing-14);
    background-position: right 0.75rem center;
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-12);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
}
/* Select light */
:where(.rtds-select--light) select {
    border-radius: 0px;
    border-top-width: 0px;
    border-right-width: 0px;
    border-left-width: 0px;
}
/* DISABLED STATE */
:where(.rtds-select) select:disabled {
        color: var(--color-content-disabled);
        border-color: var(--color-border-gray-03);
        cursor: not-allowed;
    }
